Can't figure out correct firmware version for ELPH 300 HS - General Discussion and Assistance - CHDK Forum supplierdeeply

Can't figure out correct firmware version for ELPH 300 HS

  • 4 Replies
  • 5019 Views
Can't figure out correct firmware version for ELPH 300 HS
« on: 08 / December / 2011, 09:56:00 »
Advertisements
I have tried many ways to access my camera's ver.req file and no luck. This camera has many firmware versions but I can't seem to find what version my camera has.

I tried the "FAQ" instructions on how to create a ver.req file on my card found under "Finding the right build" but no luck.

Has anyone had trouble with the ELPH 300 HS?

Re: Can't figure out correct firmware version for ELPH 300 HS
« Reply #1 on: 08 / December / 2011, 10:28:50 »
Ported :   A1200    SD940   G10    Powershot N    G16

Re: Can't figure out correct firmware version for ELPH 300 HS
« Reply #2 on: 08 / December / 2011, 12:26:00 »
Did you try using this : http://www.zenoshrdlu.com/acid/acid.html


It worked!
Thanks!

I didn't know about this.

Re: Can't figure out correct firmware version for ELPH 300 HS
« Reply #3 on: 08 / December / 2011, 13:03:30 »

I have the firmware version (1.00c ) but my camera doesn't seem to respond to the CHDK.
I wondering if I need to use the firmware dump for this camera or should the stock firmware in the camera work?
I'd like to not touch the camera's stock firmware with updates etc.


*

Offline zeno

  • *****
  • 887
Re: Can't figure out correct firmware version for ELPH 300 HS
« Reply #4 on: 08 / December / 2011, 13:40:13 »
You can't use a firmware dump or really update the firmware (unless Canon have provided one, which is unlikely).
What you can do is put the DISKBOOT.BIN file on the card and make the card auto-bootable or put the PS.FI? file on the card and use the Canon update firmware menu option (which doesn't actually update the firmware).
A570, S100, Ixus 127
Author of ASSIST, STICK, WASP, ACID, SDMInst, LICKS, WICKS, MacBoot, UBDB, CFGEdit

 

Related Topics